net.minecraftforge.common.config

## Class ConfigCategory

- java.lang.Object
- - net.minecraftforge.common.config.ConfigCategory

- All Implemented Interfaces:
    java.util.Map<java.lang.String,Property>

      public class ConfigCategory
      extends java.lang.Object
      implements java.util.Map<java.lang.String,Property>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ConfigCategory` | `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigCategory(java.lang.String name)`
    `ConfigCategory(java.lang.String name, ConfigCategory parent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `boolean` | `containsKey(java.lang.Object key)`
    `boolean` | `containsKey(java.lang.String key)`
    `boolean` | `containsValue(java.lang.Object value)`
    `java.util.Set<java.util.Map.Entry<java.lang.String,Property>>` | `entrySet()`
    `boolean` | `equals(java.lang.Object obj)`
    `Property` | `get(java.lang.Object key)`
    `Property` | `get(java.lang.String key)`
    `java.util.Set<ConfigCategory>` | `getChildren()`
    `java.lang.String` | `getComment()`
    `java.lang.Class<? extends GuiConfigEntries.IConfigEntry>` | `getConfigEntryClass()`
    `ConfigCategory` | `getFirstParent()`
    `java.lang.String` | `getLanguagekey()`
    `java.lang.String` | `getName()`
    `java.util.List<Property>` | `getOrderedValues()`
    `java.util.List<java.lang.String>` | `getPropertyOrder()`
    `java.lang.String` | `getQualifiedName()`
    `static java.lang.String` | `getQualifiedName(java.lang.String name, ConfigCategory parent)`
    `java.util.Map<java.lang.String,Property>` | `getValues()`
    `boolean` | `hasChanged()`
    `boolean` | `isChild()`
    `boolean` | `isEmpty()`
    `java.util.Set<java.lang.String>` | `keySet()`
    `Property` | `put(java.lang.String key, Property value)`
    `void` | `putAll(java.util.Map<? extends java.lang.String,? extends Property> m)`
    `Property` | `remove(java.lang.Object key)`
    `void` | `removeChild(ConfigCategory child)`
    `boolean` | `requiresMcRestart()` Gets whether or not this ConfigCategory requires Minecraft to be restarted when changed.
    `boolean` | `requiresWorldRestart()` Returns whether or not this category is able to be edited while a world is running using the in-game Mod Options screen as well as the Mods list screen, or only from the Mods list screen.
    `void` | `setComment(java.lang.String comment)`
    `ConfigCategory` | `setConfigEntryClass(java.lang.Class<? extends GuiConfigEntries.IConfigEntry> clazz)`
    `ConfigCategory` | `setLanguageKey(java.lang.String languagekey)`
    `ConfigCategory` | `setPropertyOrder(java.util.List<java.lang.String> propertyOrder)`
    `ConfigCategory` | `setRequiresMcRestart(boolean requiresMcRestart)` Sets whether or not this ConfigCategory requires Minecraft to be restarted when changed.
    `ConfigCategory` | `setRequiresWorldRestart(boolean requiresWorldRestart)` Sets the flag for whether or not this category can be edited while a world is running.
    `ConfigCategory` | `setShowInGui(boolean showInGui)` Sets whether or not this ConfigCategory should be allowed to show on config GUIs.
    `boolean` | `showInGui()` Gets whether or not this ConfigCategory should be allowed to show on config GUIs.
    `int` | `size()`
    `java.util.Collection<Property>` | `values()`
    `void` | `write(java.io.BufferedWriter out, int indent)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `hashCode`

- - ### Field Detail

    - #### parent

          public final ConfigCategory parent

  - ### Constructor Detail

    - #### ConfigCategory

          public ConfigCategory(java.lang.String name)

    - #### ConfigCategory

          public ConfigCategory(java.lang.String name,
                        ConfigCategory parent)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Specified by:
        `equals` in interface `java.util.Map<java.lang.String,Property>`
      Overrides:
        `equals` in class `java.lang.Object`

    - #### getName

          public java.lang.String getName()

    - #### getQualifiedName

          public java.lang.String getQualifiedName()

    - #### getQualifiedName

          public static java.lang.String getQualifiedName(java.lang.String name,
                                          ConfigCategory parent)

    - #### getFirstParent

          public ConfigCategory getFirstParent()

    - #### isChild

          public boolean isChild()

    - #### getValues

          public java.util.Map<java.lang.String,Property> getValues()

    - #### getOrderedValues

          public java.util.List<Property> getOrderedValues()

    - #### setConfigEntryClass

          public ConfigCategory setConfigEntryClass(java.lang.Class<? extends GuiConfigEntries.IConfigEntry> clazz)

    - #### getConfigEntryClass

          public java.lang.Class<? extends GuiConfigEntries.IConfigEntry> getConfigEntryClass()

    - #### setLanguageKey

          public ConfigCategory setLanguageKey(java.lang.String languagekey)

    - #### getLanguagekey

          public java.lang.String getLanguagekey()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getComment

          public java.lang.String getComment()

    - #### setRequiresWorldRestart

          public ConfigCategory setRequiresWorldRestart(boolean requiresWorldRestart)

      Sets the flag for whether or not this category can be edited while a world is running. Care should be taken to ensure that only properties that are truly dynamic can be changed from the in-game options menu. Only set this flag to true if all child properties/categories are unable to be modified while a world is running.

    - #### requiresWorldRestart

          public boolean requiresWorldRestart()

      Returns whether or not this category is able to be edited while a world is running using the in-game Mod Options screen as well as the Mods list screen, or only from the Mods list screen.

    - #### setShowInGui

          public ConfigCategory setShowInGui(boolean showInGui)

      Sets whether or not this ConfigCategory should be allowed to show on config GUIs. Defaults to true.

    - #### showInGui

          public boolean showInGui()

      Gets whether or not this ConfigCategory should be allowed to show on config GUIs. Defaults to true unless set to false.

    - #### setRequiresMcRestart

          public ConfigCategory setRequiresMcRestart(boolean requiresMcRestart)

      Sets whether or not this ConfigCategory requires Minecraft to be restarted when changed. Defaults to false. Only set this flag to true if ALL child properties/categories require Minecraft to be restarted when changed. Setting this flag will also prevent modification of the child properties/categories while a world is running.

    - #### requiresMcRestart

          public boolean requiresMcRestart()

      Gets whether or not this ConfigCategory requires Minecraft to be restarted when changed. Defaults to false unless set to true.

    - #### setPropertyOrder

          public ConfigCategory setPropertyOrder(java.util.List<java.lang.String> propertyOrder)

    - #### getPropertyOrder

          public java.util.List<java.lang.String> getPropertyOrder()

    - #### containsKey

          public boolean containsKey(java.lang.String key)

    - #### get

          public Property get(java.lang.String key)

    - #### write

          public void write(java.io.BufferedWriter out,
                   int indent)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### hasChanged

          public boolean hasChanged()

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Map<java.lang.String,Property>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `java.util.Map<java.lang.String,Property>`

    - #### containsKey

          public boolean containsKey(java.lang.Object key)

      Specified by:
        `containsKey` in interface `java.util.Map<java.lang.String,Property>`

    - #### containsValue

          public boolean containsValue(java.lang.Object value)

      Specified by:
        `containsValue` in interface `java.util.Map<java.lang.String,Property>`

    - #### get

          public Property get(java.lang.Object key)

      Specified by:
        `get` in interface `java.util.Map<java.lang.String,Property>`

    - #### put

          public Property put(java.lang.String key,
                     Property value)

      Specified by:
        `put` in interface `java.util.Map<java.lang.String,Property>`

    - #### remove

          public Property remove(java.lang.Object key)

      Specified by:
        `remove` in interface `java.util.Map<java.lang.String,Property>`

    - #### putAll

          public void putAll(java.util.Map<? extends java.lang.String,? extends Property> m)

      Specified by:
        `putAll` in interface `java.util.Map<java.lang.String,Property>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Map<java.lang.String,Property>`

    - #### keySet

          public java.util.Set<java.lang.String> keySet()

      Specified by:
        `keySet` in interface `java.util.Map<java.lang.String,Property>`

    - #### values

          public java.util.Collection<Property> values()

      Specified by:
        `values` in interface `java.util.Map<java.lang.String,Property>`

    - #### entrySet

          public java.util.Set<java.util.Map.Entry<java.lang.String,Property>> entrySet()

      Specified by:
        `entrySet` in interface `java.util.Map<java.lang.String,Property>`

    - #### getChildren

          public java.util.Set<ConfigCategory> getChildren()

    - #### removeChild

          public void removeChild(ConfigCategory child)